
/*
 *  Copyright (C) 1992-1993 Jeffrey Chilton
 *
 *  Permission is granted to anyone to make or distribute copies of
 *  this program, in any medium, provided that the copyright notice
 *  and permission notice are preserved, and that the distributor
 *  grants the recipient permission for further redistribution as
 *  permitted by this notice.
 *  
 *  Author's E-mail address:  172-9221@mcimail.com
 *  
 */

/* static char *whatstring = "@(#)subject.h	2.3 JWC"; */

#ifndef SUBJECT_H
#define SUBJECT_H

/*
 *  Subject - A subject pronoun
 */

typedef struct Subject Subject;

#include "exstr.h"
#include "form.h"

struct Subject
{
    ExtendString *text;
    Form *form;
};

#if __STDC__

extern Subject *Subject_new(char *text, Form *form);
extern void Subject_printOn(Subject *self, FILE *stream);
extern void Subject_destroy(Subject *self);

#else

extern Subject *Subject_new();
extern void Subject_printOn();
extern void Subject_destroy();

#endif

#define Subject_getText(s) ((s)->text)
#define Subject_getForm(s) ((s)->form)

#endif

